Skip to main content
GET
/
v1
/
documents
/
{identifier}
/
drafts
List document drafts
curl --request GET \
  --url https://{instance}.omniapp.co/api/v1/documents/{identifier}/drafts \
  --header 'Authorization: Bearer <token>'
[
  {
    "identifier": "d56b7f56",
    "publishedIdentifier": "ecd01fe5",
    "workbookModelId": "d61034e2-05fe-4268-a3a7-d4cdb8d650e9",
    "branch": {
      "id": "a9bc51d2-1234-5678-9abc-def012345678",
      "name": "governance/relabel-age-average"
    },
    "status": "active",
    "draftOutOfDate": false,
    "createdAt": "2026-05-06T13:44:00.000Z",
    "updatedAt": "2026-05-06T13:44:26.000Z",
    "createdBy": {
      "name": "Blob Ross"
    },
    "lastEditedBy": {
      "name": "Blob Ross"
    }
  }
]

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

identifier
string
required

The identifier of the published document. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.

Query Parameters

include
enum<string>

Pass archived to include soft-deleted drafts in the response. By default, only active drafts are returned.

Available options:
archived

Response

List of drafts retrieved successfully. Results are sorted in descending order using the draft's updatedAt.

identifier
string

The identifier of the draft.

Example:

"d56b7f56"

publishedIdentifier
string

The identifier of the published document this draft is attached to.

Example:

"ecd01fe5"

workbookModelId
string<uuid>

The UUID of the workbook model.

Example:

"d61034e2-05fe-4268-a3a7-d4cdb8d650e9"

branch
object

The branch this draft is attached to, or null for draft not attached to a branch. A document can only have one draft not attached to a branch.

Example:
{
"id": "a9bc51d2-1234-5678-9abc-def012345678",
"name": "governance/relabel-age-average"
}
status
enum<string>

The status of the draft.

Available options:
active,
archived
Example:

"active"

draftOutOfDate
boolean

Indicates whether the draft is out of date compared to the published document.

Example:

false

createdAt
string<date-time>

Timestamp when the draft was created.

Example:

"2026-05-06T13:44:00.000Z"

updatedAt
string<date-time>

Timestamp when the draft was last updated.

Example:

"2026-05-06T13:44:26.000Z"

createdBy
object

User who created the draft.

Example:
{ "name": "Blob Ross" }
lastEditedBy
object

User who last edited the draft.

Example:
{ "name": "Blob Ross" }